%{?optflags_lto:%global optflags_lto %optflags_lto -ffat-lto-objects}
Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Linux/MemInfo.pm) perl(Proc/ProcessTable.pm) perl-podlators swig
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         ver 2.7.0
%define         PatchLevel 0

Name:           perl-XML-Xerces
Version:        %{ver}_%{PatchLevel}
Release:        alt11_48
Summary:        Perl API to Xerces XML parser

License:        ASL 2.0
URL:            http://xerces.apache.org/xerces-p/
Source0:        http://www.apache.org/dist/xerces/p/XML-Xerces-%{ver}-%{PatchLevel}.tar.gz
Patch0:         %{name}-%{ver}-%{PatchLevel}-perl510.patch
Patch1:         cflags5.14.patch

BuildRequires:  gcc-c++
BuildRequires:  perl-devel
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(Env.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Basename.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  xerces-c27-devel >= %{ver}
# Run-time:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(DynaLoader.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(overload.pm)
# Tests:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(blib.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(subs.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(utf8.pm)
Source44: import.info


%description
XML::Xerces is the Perl API to the Apache project's Xerces XML parser. It is
implemented using the Xerces C++ API, and it provides access to most of the C++
API from Perl.
Because it is based on Xerces-C, XML::Xerces provides a validating XML parser
that makes it easy to give your application the ability to read and write XML
data. Classes are provided for parsing, generating, manipulating, and
validating XML documents. XML::Xerces is faithful to the XML 1.0 recommendation
and associated standards (DOM levels 1, 2, and 3, SAX 1 and 2, Namespaces, and
W3C XML Schema). The parser provides high performance, modularity, and
scalability, and provides full support for Unicode.
XML::Xerces implements the vast majority of the Xerces-C API. The exception is
some functions in the C++ API which either have better Perl counterparts (such
as file I/O) or which manipulate internal C++ information that has no role in
the Perl module. 


%prep
%setup -q -n XML-Xerces-%{ver}-%{PatchLevel}
%patch0 -p1
%patch1 -p1

%build
%add_optflags -Wno-error=return-type
export XERCESCROOT=%{_prefix}
export XERCES_LIB=%{_libdir}/xerces-c-%{ver}/
export XERCES_INCLUDE=%{_includedir}/xercesc-%{ver}
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes FAQ LICENSE README TODO docs samples
%{perl_vendor_archlib}/XML
%{perl_vendor_archlib}/auto/XML
%exclude %{perl_vendor_archlib}/auto/Handler


%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 2.7.0_0-alt11_48
- rebuild to get rid of unmets

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 2.7.0_0-alt10_48
- rebuild to get rid of unmets

* Thu Nov 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt9_48
- update

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 2.7.0_0-alt9_42
- rebuild to get rid of unmets

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 2.7.0_0-alt8_42
- rebuild to get rid of unmets

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt7_42
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt7_40
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt7_39
- update to new release by fcimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt7_38
- rebuild with perl 5.26

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt6_38
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt6_36
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt6_35
- update to new release by fcimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 2.7.0_0-alt6_34
- rebuild to get rid of unmets

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt5_34
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt5_33
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 2.7.0_0-alt5_32
- rebuild to get rid of unmets

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt4_32
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 2.7.0_0-alt4_30
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt3_30
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt3_29
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt3_28
- update to new release by fcimport

* Thu Jan 23 2014 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt3_27
- update to new release by fcimport

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 2.7.0_0-alt3_26
- rebuild to get rid of unmets

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt2_26
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt2_25
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt2_24
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 2.7.0_0-alt2_23
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt1_23
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 2.7.0_0-alt1_21
- fc import

